\version "2.25.8"

\include "../../lilypond-custom-includes/base_config.ly"

#(set! paper-alist (cons '("testformat" . (cons (* 176 mm) (* 15 mm))) paper-alist))
\paper {
  #(set-paper-size "testformat")
}

\bookpart {
  \header {
    authors = #'(
     ("kumpelerbe" text melody))
    year_text = "1600"
    year_melody = "1600"
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" text melody))
    year_text = "1600"
    year_melody = "1800"
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" text melody))
    year_melody = "1800"
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    year_text = "1500"
    authors = #'(
     ("kumpel" text))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" melody))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" melody)
     ("dude" text composition melody))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" (verse 1))
     ("dude" melody (voice 1) (voice 2)))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" text (verse 2))
     ("dude" (verse 2) (verse 3)))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" text (voice 2) (voice 3))
     ("dude" (voice 2) (voice 3))
     ("nocheiner" (voice 4)))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    year_composition = "2001"
    year_melody = "1901"
    authors = #'(
     ("kumpel" text composition)
     ("dude" composition))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    authors = #'(
     ("kumpel" interlude)
     ("dude" bridge)
     ("" melody))
  }
  \markup { \print-songinfo }
}

\bookpart {
  \header {
    year_melody = "1800"
    year_translation = "2010"
    authors = #'(
     ("kumpel" translation)
     ("dude" text (meloverse 1))
     ("" melody))
  }
  \markup { \print-songinfo }
}